Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class NestedSlideException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.common.NestedSlideException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MacroException, ObjectIsAlreadyLockedException

public class NestedSlideException
extends SlideException

Nested Slide exception.

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Field Summary
`protected java.util.Vector` | `exceptions` Vector of exceptions which have been put in this exception.

Fields inherited from class java.lang.Exception
``

Constructor Summary
`NestedSlideException(java.lang.String message)` Constructor.

Method Summary
`void` | `addException(SlideException exception)` Add a new nested exception.
`java.util.Enumeration` | `enumerateExceptions()` Enumerate nested exceptions.
`int` | `getExceptionsCount()` Return the count of nested exceptions.
`boolean` | `isEmpty()` Returns true if no exceptions have been put in this exception.
`java.lang.String` | `toString()` Displays the exception message.
`SlideException` | `unpackSingleException()` Return the count of nested exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exceptions

    protected java.util.Vector exceptions

  Vector of exceptions which have been put in this exception.

Constructor Detail

### NestedSlideException

    public NestedSlideException(java.lang.String message)

  Constructor.

Method Detail

### addException

    public void addException(SlideException exception)

  Add a new nested exception.

  Parameters:
    `exception` - Exception to be added

### enumerateExceptions

    public java.util.Enumeration enumerateExceptions()

  Enumerate nested exceptions.

  Returns:
    Enumeration nested exceptions list

### getExceptionsCount

    public int getExceptionsCount()

  Return the count of nested exceptions.

  Returns:
    int count of nested exceptions

### unpackSingleException

    public SlideException unpackSingleException()

  Return the count of nested exceptions.

  Returns:
    int count of nested exceptions

### isEmpty

    public boolean isEmpty()

  Returns true if no exceptions have been put in this exception.

  Returns:
    boolean

### toString

    public java.lang.String toString()

  Displays the exception message.

  Returns:
    String exception message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD